
VDB_INSTALL_PATH :=/home/rohit/openvdb

NVCC       := nvcc -ccbin g++ -m64
CC         := mpiicc
F77F	   := mpiifort
F90F	   := mpiifort
CXX        := g++
LINK       := nvcc -ccbin g++ -m64

# The parent directory of the boost/ header directory
BOOST_INCL_DIR := /usr/include
# The directory containing libboost_iostreams, libboost_system, etc.
BOOST_LIB_DIR := /usr/lib/x86_64-linux-gnu 
BOOST_LIB := -lboost_iostreams -lboost_system
BOOST_THREAD_LIB := -lboost_thread

# The parent directory of the OpenEXR/ header directory
EXR_INCL_DIR := /usr/local/include
# The directory containing IlmImf
EXR_LIB_DIR := /usr/local/lib
EXR_LIB := -lIlmImf

# The parent directory of the OpenEXR/ header directory (which contains half.h)
ILMBASE_INCL_DIR := $(EXR_INCL_DIR)
# The directory containing libIlmThread, libIlmThread, libHalf etc.
ILMBASE_LIB_DIR := $(EXR_LIB_DIR)
ILMBASE_LIB := -lIlmThread -lIex -lImath
HALF_LIB := -lHalf

# The parent directory of the tbb/ header directory
TBB_INCL_DIR := /home/rohit/Downloads/tbb2017_20170226oss/include 
# The directory containing libtbb
TBB_LIB_DIR := /home/rohit/Downloads/tbb2017_20170226oss/lib/intel64/gcc4.7
TBB_LIB := -ltbb

# Includes
INCLUDES  += -I./ -I/usr/local/include/eigen3 -I$(VDB_INSTALL_PATH)/include -I$(ILMBASE_INCL_DIR) -I$(TBB_INCL_DIR) -I$(BOOST_INCL_DIR) -I/usr/local/gvdb/include


#$(CXX) $(CXXFLAGS) $(INCLUDES) -o $@ -c $<
#CCFLAGS := -g #-O3 -fPIC
LIB := -L./ -L$(VDB_INSTALL_PATH)/lib -L$(TBB_LIB_DIR) -L$(BOOST_LIB_DIR) -L$(ILMBASE_LIB_DIR) -lopenvdb -ltbb -lHalf -lgomp -L/usr/local/gvdb/lib -lgvdb
CXXFLAGS := -O3 -fPIC
# -g
#-O3 -fPIC
NVCCFLAGS := -gencode arch=compute_35,code=sm_35 -gencode arch=compute_52,code=sm_52
CXXFLAGS += -fopenmp
CXXFLAGS += -std=c++11 -pthread 
OBJS += $(patsubst %.cpp,%.o,$(notdir $(CCFILES)))

%.o : %.cpp
	$(NVCC) $(NVCCFLAGS) $(INCLUDES) -o $@ -c $<

tidy :
	$(VERBOSE)rm -f *# *~ core
